Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.swt.finder.widgets
Class SWTBotToolbarButton

    java.lang.Object
      org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot<ToolItem>
          org.eclipse.swtbot.swt.finder.widgets.SWTBotToolbarButton

Direct Known Subclasses:
  SWTBotToolbarDropDownButton, SWTBotToolbarPushButton, SWTBotToolbarRadioButton, SWTBotToolbarSeparatorButton, SWTBotToolbarToggleButton

    public abstract class SWTBotToolbarButton

extends AbstractSWTBot<ToolItem>

Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary

Fields inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`description, display, log, widget`

Constructor Summary
`SWTBotToolbarButton(ToolItem w)` Constructs an new instance of this item.
`SWTBotToolbarButton(ToolItem w, SelfDescribing description)` Constructs an new instance of this item.

Method Summary
`abstract SWTBotToolbarButton` | `click()` Click on the tool item.
`boolean` | `isEnabled()` Gets if the object's widget is enabled.
`protected void` | `sendNotifications()`

Methods inherited from class org.eclipse.swtbot.swt.finder.widgets.AbstractSWTBot
`absoluteLocation, assertEnabled, asyncExec, backgroundColor, click, clickXY, contextMenu, contextMenu, createEvent, createMouseEvent, createSelectionEvent, doubleClickXY, foregroundColor, getId, getText, getToolTipText, hasStyle, isActive, isEnabledInternal, isVisible, keyboard, notify, notify, notify, pressShortcut, pressShortcut, pressShortcut, rightClick, rightClick, setFocus, sleep, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, syncExec, toString, traverse, waitForEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SWTBotToolbarButton

    public SWTBotToolbarButton(ToolItem w)
                        throws WidgetNotFoundException

  Constructs an new instance of this item.

  Parameters:
    `w` - the tool item.
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

### SWTBotToolbarButton

    public SWTBotToolbarButton(ToolItem w,
                               SelfDescribing description)
                        throws WidgetNotFoundException

  Constructs an new instance of this item.

  Parameters:
    `w` - the tool item.
    `description` - the description of the widget, this will be reported by `AbstractSWTBot.toString()`
  Throws:
    `WidgetNotFoundException` - if the widget is `null` or widget has been disposed.

Method Detail

### click

    public abstract SWTBotToolbarButton click()

  Click on the tool item.

  Overrides:
    `click` in class `AbstractSWTBot<ToolItem>`
  Returns:
    itself.
  Since:
    1.0

### sendNotifications

    protected void sendNotifications()

### isEnabled

    public boolean isEnabled()

  Description copied from class: `AbstractSWTBot`
  Gets if the object's widget is enabled.

  Overrides:
    `isEnabled` in class `AbstractSWTBot<ToolItem>`
  Returns:
    `true` if the widget is enabled.
  See Also:
    `Control.isEnabled()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD